CharArraySet (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.CharArraySet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class CharArraySet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet
              org.apache.lucene.analysis.CharArraySet

All Implemented Interfaces:
  Iterable, Collection, Set

    public class CharArraySet

extends AbstractSet

A simple class that stores Strings as char[]'s in a hash table. Note that this is not a general purpose class. For example, it cannot remove items from the set, nor does it resize its hash table to be smaller, etc. It is designed to be quick to test if a char[] is in the set without the necessity of converting it to a String first.

Nested Class Summary
`class` | `CharArraySet.CharArraySetIterator` The Iterator for this set.

Constructor Summary
`CharArraySet(Collection c, boolean ignoreCase)` Create set from a Collection of char[] or String
`CharArraySet(int startSize, boolean ignoreCase)` Create set with enough capacity to hold startSize terms

Method Summary
`boolean` | `add(char[] text)` Add this char[] directly to the set.
`boolean` | `add(CharSequence text)` Add this CharSequence into the set
`boolean` | `add(Object o)`
`boolean` | `add(String text)` Add this String into the set
`boolean` | `contains(char[] text, int off, int len)` true if the `len` chars of `text` starting at `off` are in the set
`boolean` | `contains(CharSequence cs)` true if the `CharSequence` is in the set
`boolean` | `contains(Object o)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, clear, containsAll, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, clear, containsAll, remove, retainAll, toArray, toArray`

Constructor Detail

### CharArraySet

    public CharArraySet(int startSize,
                        boolean ignoreCase)

  Create set with enough capacity to hold startSize terms

### CharArraySet

    public CharArraySet(Collection c,
                        boolean ignoreCase)

  Create set from a Collection of char[] or String

Method Detail

### contains

    public boolean contains(char[] text,
                            int off,
                            int len)

  true if the `len` chars of `text` starting at `off` are in the set

### contains

    public boolean contains(CharSequence cs)

  true if the `CharSequence` is in the set

### add

    public boolean add(CharSequence text)

  Add this CharSequence into the set

### add

    public boolean add(String text)

  Add this String into the set

### add

    public boolean add(char[] text)

  Add this char[] directly to the set. If ignoreCase is true for this Set, the text array will be directly modified. The user should never modify this text array after calling this method.

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `Set`
  Specified by:
    `size` in class `AbstractCollection`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`
  Specified by:
    `isEmpty` in interface `Set`
  Overrides:
    `isEmpty` in class `AbstractCollection`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `Set`
  Overrides:
    `contains` in class `AbstractCollection`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `Set`
  Overrides:
    `add` in class `AbstractCollection`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `Set`
  Specified by:
    `iterator` in class `AbstractCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.